[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#678253: nmu: iml_1.0.3-4.2

On Wed, Jun 20, 2012 at 12:30:44 +0200, Sébastien Villemot wrote:

> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: binnmu
> Dear Release Team,
> The libiml0 package is in an unusable state in sid:
> $ ldd /usr/lib/libiml.so
> [...]
>   libcblas.so.3gf => not found
>   libatlas.so.3gf => not found
> The reason is a SONAME change of these libraries, which are provided by atlas
> (the change occurred in atlas_3.8.4-4~exp2). A rebuild of src:iml fixes the
> problem on my system, so I request a binNMU:
> nmu iml_1.0.3-4.2 . ALL . -m "Rebuild against newer atlas (libcblas/libatlas changed SONAMEs)"
I'm not going to schedule this, it sounds like a serious atlas bug to
me.  Either the SONAME change involves an actual ABI incompatibility and
that needs to be reverted because it's just way too late for that; or it
doesn't, and atlas should provide compatibility symlinks.

On a related note, I see these libraries are actually handled as slave
alternatives for libblas, which seems fairly broken as it means they'll
go away if a different alternative is chosen (meaning any reverse deps
won't work), unless I'm missing something.


Attachment: signature.asc
Description: Digital signature

Reply to: